libquazip-0.7.3-alt1.i586.rpm


Advertisement

Description

libquazip - Qt/C++ wrapper for the minizip library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name libquazip
Package version 0.7.3
Package release alt1
Package architecture i586
Package type rpm
Installed size 224.52 KB
Download size 224.52 KB
Official Mirror ftp.altlinux.org
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.
QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

Alternatives

Package Version Architecture Repository
libquazip-0.7.3-alt1.x86_64.rpm 0.7.3 x86_64 Classic
libquazip - - -

Requires

Name Value
libQtCore.so.4 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libz.so.1 -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libquazip = 0.7.3-alt1
libquazip.so.1 -

Download

Type URL
Binary Package libquazip-0.7.3-alt1.i586.rpm
Source Package libquazip-0.7.3-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libquazip rpm package:
    # sudo apt-get install libquazip

Files

Path
/usr/lib/libquazip.so.1
/usr/lib/libquazip.so.1.0.0
/usr/share/doc/libquazip-0.7.3/COPYING
/usr/share/doc/libquazip-0.7.3/NEWS.txt
/usr/share/doc/libquazip-0.7.3/README.txt

Changelog

2017-11-10 - Anton Midyukov <antohami@altlinux.org> 0.7.3-alt1
- Version 0.7.3
2014-06-05 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.2-alt1
- Version 0.6.2
2012-12-03 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5-alt1_1.2
- Rebuilt with optflags
2012-12-03 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5-alt1_1.1
- Built for Sisyphus
2012-12-01 - Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_1
- converted for ALT Linux by srpmconvert tools

See Also

Package Description
libquazip-devel-0.7.3-alt1.i586.rpm Development files for quazip
libquazip-qt5-0.7.3-alt1.i586.rpm Qt5 wrapper for the minizip library
libquazip-qt5-devel-0.7.3-alt1.i586.rpm Development files for libquazip
libqucs-0.0.19-alt2.i586.rpm Supplemental library for Qucs, a circuit simulator
libqucs-devel-0.0.19-alt2.i586.rpm Development environment for Qucs, a circuit simulator
libquvi-0.4.1-alt2.1.i586.rpm Command line tool for parsing video download links
libquvi-devel-0.4.1-alt2.1.i586.rpm Development files for libquvi
libquvi0.9-0.9.4-alt2.1.i586.rpm Command line tool for parsing video download links
libquvi0.9-devel-0.9.4-alt2.1.i586.rpm Development files for libquvi0.9
libqwt-5.2.3-alt1.i586.rpm 2D plotting widget extension to the Qt GUI
libqwt-devel-5.2.3-alt1.i586.rpm Development tools for programs which uses Qwt Widget set
libqwt6-6.1.3-alt1.i586.rpm 2D plotting widget extension to the Qt GUI
libqwt6-devel-6.1.3-alt1.i586.rpm Development tools for programs which uses Qwt Widget set
libqwt6-qt4-designer-plugin-6.1.3-alt1.i586.rpm Qwt plugin for qt4-designer
libqwt6-qt5-6.1.3-alt1.i586.rpm 2D plotting widget extension to the Qt5 GUI
Advertisement
Advertisement